View Issue Details

IDProjectCategoryView StatusLast Update
0001935Ham Radio DeluxeBugpublic2017-05-21 21:49
ReporterWA9PIE 
Assigned ToWA9PIE 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.647 
Summary0001935: Logbook crashes when attempting to update WSI after saving a QSO when Logbook has been running for a long time
DescriptionMost of this is copied from a forum post:

Logbook crashes when attempting to update WSI after saving a QSO when Logbook has been running for a long time. In this case, there are LOTS and LOTS of spots in the DX cluster pane and the crash seems to be more likely when lots of spots are being updated after saving a QSO record.
Steps To ReproduceSo... with that said... and the box checked please...

Leave Logbook running for DAYS. Work some DX please (ie. add QSOs to the log). At some point, there will be so many SPOTS in the cluster that - when you attempt to save a spot, you'll get a MFC error and Logbook will crash.

If you don't have that box checked... and if you're not adding QSOs to your log... then you probably won't see this.
Additional InformationThis started happening after we changed the process for updating the WSI. The WSI values should only change when the user saves a log entry (new or update to existing). You must have "Sync WSI with Log" box checked in the DX Cluster Options... WSI tab. The WSI no longer works the way it did. Whereas before, the WSI would update for all new spots... or you could cause it to refresh by changing a filter... now it will only refresh if you have that box checked. And it's supposed to only refresh spots that are for the country that you just logged... instead of refreshing the ENTIRE thing.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing

Relationships

child of 0001999 closedERIK Parent: Various causes of MFC error that causes the program to crash 

Activities

W4PC

2016-08-28 14:43

updater   ~0003009

How many ALE's do you have open?

Issue History

Date Modified Username Field Change
2016-08-27 11:38 WA9PIE New Issue
2016-08-27 11:38 WA9PIE Status new => assigned
2016-08-27 11:38 WA9PIE Assigned To => ERIK
2016-08-28 14:43 W4PC Note Added: 0003009
2017-03-08 00:06 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2017-03-08 10:41 WA9PIE Assigned To ERIK => WA9PIE
2017-03-13 13:58 WA9PIE Relationship added child of 0001999
2017-05-21 21:15 WA9PIE Status assigned => closed
2017-05-21 21:15 WA9PIE Resolution open => fixed
2017-05-21 21:48 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-05-21 21:49 WA9PIE Fixed in Version => 6.4.0.647